Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.jsp.taglib.definition
Class DefinitionTag

    java.lang.Object
      javax.servlet.jsp.tagext.SimpleTagSupport
          org.apache.tiles.jsp.taglib.definition.DefinitionTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.SimpleTag

    public class DefinitionTag

extends javax.servlet.jsp.tagext.SimpleTagSupport

This is the tag handler for <tiles:definition>, which creates a custom definition. If the configured container is a `MutableTilesContainer`, this newly created definition can be used in <tiles:insertDefinition>.

Version:
  $Rev: 783101 $ $Date: 2009-06-09 21:27:26 +0200 (mar, 09 giu 2009) $

Constructor Summary
`DefinitionTag()`

Method Summary
`void` | `doTag()`
`java.lang.String` | `getExtends()` Returns the (optional) definition name that this definition extends.
`java.lang.String` | `getName()` Returns the name of the definition to configure.
`java.lang.String` | `getPreparer()` Returns the definition view preparer.
`java.lang.String` | `getRole()` Returns the role to check when rendering this definition.
`java.lang.String` | `getTemplate()` Returns the template URI of the definition.
`void` | `setExtends(java.lang.String extend)` Sets the (optional) definition name that this definition extends.
`void` | `setName(java.lang.String name)` Sets the name of the definition to configure.
`void` | `setPreparer(java.lang.String preparer)` Sets the definition view preparer.
`void` | `setRole(java.lang.String role)` Sets the role to check when rendering this definition.
`void` | `setTemplate(java.lang.String template)` Sets the template URI of the definition.

Methods inherited from class javax.servlet.jsp.tagext.SimpleTagSupport
`findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefinitionTag

    public DefinitionTag()

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the definition to configure.

  Returns:
    The definition name.

### setName

    public void setName(java.lang.String name)

  Sets the name of the definition to configure.

  Parameters:
    `name` - The definition name.

### getTemplate

    public java.lang.String getTemplate()

  Returns the template URI of the definition.

  Returns:
    The template URI.

### setTemplate

    public void setTemplate(java.lang.String template)

  Sets the template URI of the definition.

  Parameters:
    `template` - The template URI.

### getExtends

    public java.lang.String getExtends()

  Returns the (optional) definition name that this definition extends.

  Returns:
    The extending definition name.

### setExtends

    public void setExtends(java.lang.String extend)

  Sets the (optional) definition name that this definition extends.

  Parameters:
    `extend` - The extending definition name.

### getRole

    public java.lang.String getRole()

  Returns the role to check when rendering this definition.

  Returns:
    The role to check.

### setRole

    public void setRole(java.lang.String role)

  Sets the role to check when rendering this definition.

  Parameters:
    `role` - The role to check.

### getPreparer

    public java.lang.String getPreparer()

  Returns the definition view preparer.

  Returns:
    The view preparer name.

### setPreparer

    public void setPreparer(java.lang.String preparer)

  Sets the definition view preparer.

  Parameters:
    `preparer` - The view preparer name.

### doTag

    public void doTag()
               throws javax.servlet.jsp.JspException,
                      java.io.IOException

  Specified by:
    `doTag` in interface `javax.servlet.jsp.tagext.SimpleTag`
  Overrides:
    `doTag` in class `javax.servlet.jsp.tagext.SimpleTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.